# $Revision: 1.73 $, $Date: 2002/11/04 16:38:39 $
Summary:	Syslog-ng - new generation of the system logger
Summary(pl):	Syslog-ng - zamiennik syskloga
Summary(pt_BR):	Daemon de log nova gerao
Name:		syslog-ng
Version:	1.4.17
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://www.balabit.hu/downloads/syslog-ng/1.4/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}.logrotate
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-notestlibolver.patch
Patch2:		%{name}-ac25x.patch
URL:		http://www.balabit.hu/products/syslog-ng/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libol-static >= 0.2.21
PreReq:		rc-scripts >= 0.2.0
Requires(post,preun):	/sbin/chkconfig
Requires(post):	fileutils
Requires:	logrotate
Requires:	psmisc >= 20.1
Provides:	syslogdaemon
Obsoletes:	syslog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
syslog-ng is a syslogd replacement for unix and unix-like systems. It
has been tested on Solaris, BSDi and Linux, and were found to run
reliably. syslog-ng gives you a much enhanced configuration scheme,
which lets you filter messages based on not only priority/facility
pairs, but also on message content. You can use regexps to direct log
stream to different destinations. A destination can be anything from a
simple file to a network connection. syslog-ng supports TCP
logforwarding, together with hashing to prevent unauthorized
modification on the line.

%description -l pl
Syslog-ng jest zamiennikiem dla standardowo uywanych programw typu
sysklog. Dziaa w systemie SunOS, BSD, Linux. Daje znacznie wiksze
moliwoci logowania i kontrolowania zbieranych informacji.

%description -l pt_BR
Syslog-ng  um substituto para o syslog tradicional, mas com diversas
melhorias, como, por exemplo, a habilidade de filtrar mensagens de log
por seu contedo (usando expresses regulares) e no apenas pelo par
facility/prioridade como o syslog original.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{logrotate.d,rc.d/init.d},%{_sysconfdir}/syslog-ng}
install -d $RPM_BUILD_ROOT/var/log/{mail,archiv}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog-ng
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/syslog-ng/syslog-ng.conf
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/syslog-ng

> $RPM_BUILD_ROOT/var/log/syslog

%clean
rm -rf $RPM_BUILD_ROOT

%post
for n in /var/log/{cron,daemon,debug,kernel,lpr,maillog,messages,ppp,secure,spooler,syslog,user,mail/{info,warn,err}}
do
	[ -f $n ] && continue
	touch $n
	chmod 640 $n
done

/sbin/chkconfig --add syslog-ng
if [ -f /var/lock/subsys/syslog-ng ]; then
	/etc/rc.d/init.d/syslog-ng restart >/dev/null 2>&1
else
	echo "Run \"/etc/rc.d/init.d/syslog-ng start\" to start syslog-ng daemon."
fi
if [ -f /var/lock/subsys/klogd ]; then
	/etc/rc.d/init.d/klogd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/syslog-ng ]; then
		/etc/rc.d/init.d/syslog-ng stop >&2
	fi
	/sbin/chkconfig --del syslog-ng
fi

%files
%defattr(644,root,root,755)
%doc doc/syslog-ng.conf.{demo,sample} doc/sgml/syslog-ng.txt*
%attr(750,root,root) %dir %{_sysconfdir}/syslog-ng
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/syslog-ng/syslog-ng.conf
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/logrotate.d/syslog-ng
%attr(754,root,root) /etc/rc.d/init.d/syslog-ng
%attr(755,root,root) %{_sbindir}/syslog-ng
%{_mandir}/man[58]/*

%attr(640,root,root) %ghost /var/log/syslog
%dir /var/log/mail
%dir /var/log/archiv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: syslog-ng.spec,v $
Revision 1.73  2002/11/04 16:38:39  jack
- updated to version 1.4.17
- from changelog:
	* Fixed a possible off-by-one problem
	* A more correct version of the previous security update was added.

Revision 1.72  2002/10/10 23:08:50  cieciwa
- update to version 1.4.16,
- release 1.

Revision 1.71  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.70  2002/08/16 14:01:18  blues
- small fix in directories creation - STBR again

Revision 1.69  2002/08/16 13:19:50  kloczek
- release 8.

Revision 1.68  2002/08/16 10:06:45  blues
- added missing dirs

Revision 1.67  2002/07/31 00:25:21  undefine
- yet another change in syslog-ng.conf file
- release 7.

Revision 1.66  2002/07/30 23:21:53  undefine
- release 6 to rebuild with fixed syslog-ng.conf

Revision 1.65  2002/07/30 18:08:37  kloczek
- release 5,
- remove logging all on tty12 *this is unsecure in default configuration),
- remove duplicated mail logging to /var/log/mail

Revision 1.64  2002/07/02 10:35:17  gotar
- Requires -> Requires(post): fileutils

Revision 1.63  2002/07/01 08:09:47  gotar
- ooops, previous change will cause erasing logs on upgrade,
  touch back in %post, release 4.

Revision 1.62  2002/06/13 18:05:38  gotar
- cosmetics,
- typo,
- stale logrotate.d prefix,
- touch replaced with >,
- new %doc.

Revision 1.61  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.60  2002/05/13 20:05:20  qboosh
- added ac25x patch needed for autoconf 2.53
- use config(noreplace)
- fixed bashism in %%post
- release 3

Revision 1.59  2002/05/13 06:53:20  kloczek
- updated to 1.4.15.

Revision 1.58  2002/05/05 15:55:16  kloczek
- merge translations from Conectiva.

Revision 1.57  2002/05/05 13:38:26  speedy
- s/GNU\/Linux/Linux/g - STBR

Revision 1.56  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.55  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:15:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/10/22 22:11:23  qboosh
- rm -f missing

Revision 1.52  2001/10/22 11:43:52  areq
- 1.4.14, STBR

Revision 1.51  2001/10/06 23:48:27  baggins
- release 2
- proper logrotate config

Revision 1.50  2001/09/25 18:02:07  kloczek
- updated to 1.4.13.

Revision 1.49  2001/09/25 13:46:11  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.48  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/07/13 18:54:24  areq
- 1.4.12, STBR

Revision 1.45  2001/04/28 15:09:35  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.44  2001/04/09 08:27:09  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.43  2001/02/25 19:11:15  areq
- BuildRequires:  libol-static >= 0.2.21 STB

Revision 1.42  2001/02/25 18:54:44  areq
- 1.4.11

Revision 1.41  2001/02/19 18:37:44  kloczek
- regenerate all am/ac files for allow build in automake > 1.4 enviroment.

Revision 1.40  2001/02/19 14:02:20  baggins
- release 2
- added /var/log/messages to logrotate

Revision 1.39  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.38  2000/12/28 22:45:23  areq
- add Requires:       fileutils

Revision 1.37  2000/11/30 02:01:12  kloczek
- updated to 1.4.10.

Revision 1.36  2000/11/22 22:33:09  kloczek
- updated to 1.4.9.

Revision 1.35  2000/11/06 14:34:14  kloczek
- updated to 1.4.8.

Revision 1.34  2000/10/04 03:35:21  kloczek
- updated to 1.4.7 (importand release because in 1.4.7 was fixed mem leak),
- BuildRequires: libol-static >= 0.2.20,
- use new rpm automation suit.

Revision 1.33  2000/09/25 02:33:28  baggins
- release 10
- fixed ownership of inn (news.*) logs

Revision 1.32  2000/09/19 08:21:14  kloczek
- release 9,
- added restart klogd in %post (this is neccessary for correct logging
  information by klogd after restarting syslogd).

Revision 1.31  2000/09/06 14:19:04  zagrodzki
- fixed syslog-ng.init

Revision 1.30  2000/09/01 13:54:43  baggins
- typo

Revision 1.29  2000/09/01 13:53:11  baggins
- release 7
- fixed logrotate config

Revision 1.28  2000/08/28 09:01:58  zagrodzki
- release 6
- fixed broken %post/%postun scripts

Revision 1.27  2000/08/20 15:10:18  baggins
- release 5
- fixed logrotate config

Revision 1.26  2000/08/09 10:27:30  zagrodzki
- install -d %{_sysconfdir}/logrotate.d

Revision 1.25  2000/08/09 10:23:46  zagrodzki
- release 4
- added logrotate config file
- requires: logrotate

Revision 1.24  2000/08/05 21:24:40  baggins
- release 3
- big compatibility cleanup in /var/log/ and syslog-ng.conf

Revision 1.23  2000/08/03 09:16:13  kloczek
- release 2,
- adapterized.

Revision 1.22  2000/08/01 14:55:05  mis
- Provide: "syslogdaemon" added

Revision 1.21  2000/07/25 05:59:20  kloczek
- updated to 1.4.5.

Revision 1.20  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/13 11:50:14  klakier
- release 3

Revision 1.17  2000/05/11 20:42:17  kloczek
- adapterized.

Revision 1.16  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.15  2000/04/25 21:59:09  zagrodzki
- typo

Revision 1.14  2000/04/25 20:55:28  bonkey
- release 2

Revision 1.13  2000/04/25 20:54:32  bonkey
- corrected %%post and %%preun scripts

Revision 1.12  2000/04/21 00:42:04  kloczek
- updated to 1.4.3.

Revision 1.11  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.9  2000/03/28 07:37:10  kloczek
- updated to 1.4.2,
- new init script (rc-script 0.2.x compliant).

Revision 1.8  2000/03/13 17:08:40  kloczek
- cosmetics.

Revision 1.7  2000/03/13 14:00:31  cieciwa
- change BuildRequires from libol >=0.2.4 to libol-static >= 0.2.4

Revision 1.6  2000/03/12 19:28:47  kloczek
- updated to 1.4.1,
- added "BuildRequires: flex".

Revision 1.5  2000/02/28 14:36:00  kloczek
- updated to 1.3.17,
- spec adapterized.
- gzipping %doc instead bzipping2,
Package builds correctly but need testing.

* Tue Jul 20 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [1.1.27-1]
- update to last version.

* Tue May  4 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- building RPM.
